import * as AWS from 'aws-sdk';
import { ListrTask } from 'listr';
import { JovoCliDeploy, Project } from 'jovo-cli-core';
import { JovoTaskContextLambda } from '.';
export declare class JovoCliDeployLambda extends JovoCliDeploy {
    static TARGET_KEY: string;
    static PRE_DEPLOY_TASKS: string[];
    constructor();
    execute(ctx: JovoTaskContextLambda, project: Project): ListrTask[];
    upload(ctx: JovoTaskContextLambda, project: Project): Promise<void>;
    checkAsk(): string;
    updateFunction(lambda: AWS.Lambda, pathToZip: string, lambdaArn: string, lambdaParams: object | undefined): Promise<void>;
    deleteLambdaZip(pathToZip: string): Promise<void>;
    getAWSCredentialsFromAskProfile(askProfile: string): any;
}
